<?php
class ArticlesController extends AppController {
	var $helpers = array ('Html','Form');
	var $components = array('Session','Auth');
	var $name = 'Articles';
	
	function beforeFilter() {
		$this->Auth->allow('index', 'view');
		$this->Auth->loginAction = array('admin' => false, 'controller' => 'users', 'action' => 'login');
	}
	
	function index() {
		$this->set('articles', $this->Article->find('all'));
	}

  function view($id = null) {
    $this->Article->id = $id;
    $this->set('article', $this->Article->read());
  }
  
  	function admin_index() {
		$this->set('articles', $this->Article->find('all'));
	}
	
	function admin_add() {
		if (!empty($this->data)) {
			if ($this->Article->save($this->data)) {
				$this->Session->setFlash('Your article has been saved.');
				$this->redirect(array('action' => 'index'));
			}
		}	
	}
	
	function admin_edit($id = null) {
		$this->Article->id = $id;
		if (empty($this->data)) {
			$this->data = $this->Article->read();
		} else {
			if ($this->Article->save($this->data)) {
				$this->Session->setFlash('Your article has been saved.');
				$this->redirect(array('action' => 'index'));
			}
		}
	}
	
	function admin_delete($id) {
		if ($this->Article->delete($id)) {
			$this->Session->setFlash('The article has been deleted.');
			$this->redirect(array('action' => 'index'));
		}
	}
	
}
?>